%define oversion 16.06

Name:           rosegarden
Version:        16.06
Release:        %mkrel 2
Summary:        Midi, audio sequencer and notation editor
License:        GPLv2+
Group:          Sound/Midi
URL:            http://www.rosegardenmusic.com/
Source0:        http://download.sourceforge.net/rosegarden/%{name}-%{version}.tar.bz2
Patch0:         rosegarden-15.12.1-mga-fix-desktop-file.patch
BuildRequires:  cmake
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(lrdf)
BuildRequires:  pkgconfig(dssi)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(liblircclient0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  ladspa-devel

Requires:       flac
Requires:       libsndfile-progs
# For sndfile-resample, see https://bugzilla.novell.com/show_bug.cgi?id=443543
# - AdamW 2008/12
Requires:       libsamplerate-progs
Requires:       xterm
Recommends:     lilypond

%description
Rosegarden is a music composition and editing environment based around a MIDI
sequencer that features a rich understanding of music notation and includes
basic support for digital audio.

Rosegarden is an easy-to-learn, attractive application that runs on Linux,
ideal for composers, musicians, music students, and small studio or home
recording environments.

%prep
%setup -q -n %{name}-%{oversion}
%autopatch -p1

%build
%cmake_qt5

%make_build

%install
%make_install -C build

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/*/*%{name}*.png


%changelog
* Sat Jul 23 2016 daviddavid <daviddavid> 16.06-2.mga6
+ Revision: 1043225
- do not install data files that are already bundled in the binary (fixes mga#19031)

* Fri Jul 22 2016 daviddavid <daviddavid> 16.06-1.mga6
+ Revision: 1043106
- new version: 16.06

* Fri Mar 04 2016 daviddavid <daviddavid> 16.02-1.mga6
+ Revision: 985483
- new version: 16.02

* Thu Jan 21 2016 daviddavid <daviddavid> 15.12.1-1.mga6
+ Revision: 926244
- new version: 15.12.1
- switch build to Qt5 and cmake
- improve description and summary
- remove no more needed obsoletes on rosegarden4
- remove no more needed patches
- add patch0 to fix desktop file
- install some more extra files

* Fri Oct 23 2015 daviddavid <daviddavid> 13.10-4.mga6
+ Revision: 894417
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 13.10-3.mga5
+ Revision: 746673
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 13.10-2.mga5
+ Revision: 688695
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Nov 03 2013 dlucio <dlucio> 13.10-1.mga4
+ Revision: 549298
- 13.10
- jackit workarround

* Sat Oct 19 2013 umeabot <umeabot> 13.06-2.mga4
+ Revision: 530435
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 fwang <fwang> 13.06-1.mga4
+ Revision: 457665
- add back path hack
- specify qtdir via parameter
- export path
- new versio 13.06

* Mon Jan 14 2013 umeabot <umeabot> 12.04-4.mga3
+ Revision: 380412
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 cjw <cjw> 12.04-3.mga3
+ Revision: 334687
- add BuildRequires: pkgconfig(sndfile)

* Sun Nov 25 2012 zezinho <zezinho> 12.04-2.mga3
+ Revision: 321847
- fix rpm group

* Fri Jun 08 2012 shlomif <shlomif> 12.04-1.mga3
+ Revision: 257736
- 32-bit fix
- Try to fix the build failures.
- Fix the build with no QTDIR defined
- New version - 12.04

* Sat Dec 10 2011 eatdirt <eatdirt> 11.11.11-2.mga2
+ Revision: 180468
- Rebuilt for fftw-3.3

* Sun Nov 20 2011 kharec <kharec> 11.11.11-1.mga2
+ Revision: 169899
- new version 11.11.11

* Thu Nov 03 2011 fwang <fwang> 11.06-1.mga2
+ Revision: 162028
- new version 11.06

* Sat Apr 16 2011 shikamaru <shikamaru> 11.02-1.mga1
+ Revision: 86035
- new version 11.02
- imported package rosegarden


* Wed Nov 24 2010 Funda Wang <fwang@mandriva.org> 10.10-1mdv2011.0
+ Revision: 600342
- new version 10.10

* Tue Jun 08 2010 Rémy Clouard <shikamaru@mandriva.org> 10.04.2-1mdv2010.1
+ Revision: 547294
- bump release

* Sat May 01 2010 Rémy Clouard <shikamaru@mandriva.org> 10.04-1mdv2010.1
+ Revision: 541483
- Update to new rosegarden-10.04 (bugfix release)
- fix build
- fix #57337: audio file import now works as expected
- hopefully fix 58329: notation editor crash
  CCBUG: 57337
  CCBUG: 58329
- use retab to remove stupid tabs

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - don't install scripts dir

* Thu Mar 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 10.02.1-2mdv2010.1
+ Revision: 527532
- add more files, examples, presets (should fix bug#58269)

* Sat Feb 20 2010 Rémy Clouard <shikamaru@mandriva.org> 10.02.1-1mdv2010.1
+ Revision: 508702
- update to final release
- new versioning scheme from upstream

  + Sandro Cazzaniga <kharec@mandriva.org>
    - clean spec

* Sat Jan 23 2010 Rémy Clouard <shikamaru@mandriva.org> 1.9-0.10.02.11505.1mdv2010.1
+ Revision: 495292
- bump release (beta)
- fix #56490
- fix #57216

* Sun Oct 25 2009 Rémy Clouard <shikamaru@mandriva.org> 1.9-0.10.02.11081.1mdv2010.0
+ Revision: 459196
- fix #52901
- update to newer upstream revision
- drop merged patch

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix spec file name
    - Use the Qt4 version

* Tue Aug 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9-0.10.02.10693.3mdv2010.0
+ Revision: 417526
- Fix more path
- Fix search pach

* Sun Aug 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9-0.10.02.10693.1mdv2010.0
+ Revision: 416851
- Fix build on x86_64
- New snapshot

  + Rémy Clouard <shikamaru@mandriva.org>
    - fix obsoletes

* Tue Jun 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9-0.09.10.10351.1mdv2010.0
+ Revision: 384349
- Use Qt4/Kde4 layout

  + Rémy Clouard <shikamaru@mandriva.org>
    - fix buildrequires
    - remove unneeded %%post and %%postun sections
    - import rosegarden4


* Sun Jan 21 2007 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2007-01-21 16:04:42 (111393)
- fix specfile name
- add obsoletes for rosegarden4
- add BuildRequires: python
- Import rosegarden

* Tue Aug 22 2006 Lenny Cartier <lenny@mandriva.com> 1.2.4-1mdv2007.0
- from Pedro Lopez-Cabanillas <plcl@users.sf.net> : 
	- New release
	- Include DSSI support
	- Use the internal scons-mini to avoid broken SCons versions

* Sun Feb 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.3-1mdk
- 1.2.3
- drop patches 1,2,3,4 - don't apply + not needed
- scons...
- no shared libraries built, drop lib packages

* Thu Aug 25 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-5mdk
- harmless 64-bit fixes

* Sun Aug 21 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0-4mdk
- patch3: fix build (for gcc 4.0?)

* Tue Jun 14 2005 Pascal Terjan <pterjan@mandriva.org> 1.0-3mdk
- fix build with gcc4 (patch2)

* Mon Mar 21 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- fix build on lib64 platforms

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.91-1mdk
- 0.9.91

* Wed Oct 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.9-2mdk
- -Wmissing-prototypes is only valid for the C front-end

* Wed Aug 18 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.9-1mdk
- 0.9.9
- update patch0

* Sat Jul 17 2004 Michael Scherer <misc@mandrake.org> 0.9.8-2mdk 
- rebuild for new gcc ( patch 0 )

* Thu May 27 2004 Austin Acton <austin@mandrake.org> 0.9.8-1mdk
- 0.9.8

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.7-2mdk
- Fix menu

* Fri Apr 02 2004 Austin Acton <austin@mandrake.org> 0.9.7-1mdk
- 0.9.7

* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.9.6-4mdk
- rebuild for liblrdf2

